<!doctype html>
<html lang="en">
<head>
<title>1-lxqt-team-bof</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="anonymous" title="anonymous">Welcome to DebConf 23 Etherpad - This page is for LXQt/LXDE team Bof.</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a">Connect: https://meet.jit.si/lxqt-lxde-bof</span><br><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">Please contribute anything you think discussion needed below.</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">* Team address transition</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">   - LXQt: <pkg-lxqt-devel@lists.alioth.debian.org> to <team+lxqt@tracker.debian.org></span><span class="a_tpheYgbfvDndbawx" title="a_tpheYgbfvDndbawx" style="background-color:#40e563"></span><br><span class="anonymous" title="anonymous">   - LXDE: <pkg-lxde-maintainers@lists.alioth.debian.org> to <team+lxde@tracker.debian.org></span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">* Debian Package Tracker:</span><span class="a_tpheYgbfvDndbawx" title="a_tpheYgbfvDndbawx" style="background-color:#40e563"></span><br><span class="anonymous" title="anonymous">    - https://tracker.debian.org/teams/lxqt/</span><span class="a_tpheYgbfvDndbawx" title="a_tpheYgbfvDndbawx" style="background-color:#40e563"></span><br><span class="anonymous" title="anonymous">    - https://tracker.debian.org/teams/lxde/</span><span class="a_tpheYgbfvDndbawx" title="a_tpheYgbfvDndbawx" style="background-color:#40e563"></span><br><span class="anonymous" title="anonymous">* Matrix channel:</span><span class="a_tpheYgbfvDndbawx" title="a_tpheYgbfvDndbawx" style="background-color:#40e563"></span><br><span class="anonymous" title="anonymous">    - LXQt: https://matrix.to/#/#debian-lxqt:matrix.org</span><span class="a_tpheYgbfvDndbawx" title="a_tpheYgbfvDndbawx" style="background-color:#40e563"></span><br><span class="anonymous" title="anonymous">    - LXDE: https://matrix.to/#/#debian-lxde:matrix.org</span><span class="a_tpheYgbfvDndbawx" title="a_tpheYgbfvDndbawx" style="background-color:#40e563"></span><br><span class="a_tpheYgbfvDndbawx" title="a_tpheYgbfvDndbawx" style="background-color:#40e563">    - Do we need to migrate to matrix.debian.social?</span><br><ul class="indent"><li><span class="a_tpheYgbfvDndbawx" title="a_tpheYgbfvDndbawx" style="background-color:#40e563">*</span><span class="a_tpheYgbfvDndbawx" title="a_tpheYgbfvDndbawx" style="background-color:#40e563"> - https://wiki.debian.org/Teams/DebianSocial/Matrix</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span></li><li><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a">*</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a">Use current until it doesnʼt work.</span></ul><span class="anonymous" title="anonymous">* We should send email to old address to notify and check with members to ensure they all are in salsa group or we can cleanup the inactive members.</span><span class="a_tpheYgbfvDndbawx" title="a_tpheYgbfvDndbawx" style="background-color:#40e563"></span><br><span class="anonymous" title="anonymous">* `debian/* `branches are now protected branches.</span><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3"></span><br><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3">   - LXDE packages need to be migrated to DEP-14 layout</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">   - Please submit MR(Merge Request) via salsa for salsa-ci tests and peer review.</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">* Workflow for new upstream release:</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">   - Can we have a CI pipeline to do such and then submit as a MR?</span><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3"> -- josue</span><br><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3">      We need:</span><br><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3">            - Salsa CI service account </span><br><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3">            - GPG Salsa CI Service account</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">* We recently got blhc tests failed in some packages.</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">   - Why these fails now and didn't happen before?</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">      . probably something changed in cmake?</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">   - What's proper way to handle them?</span><span class="a_h7kKB1P5mrNK8bAc" title="a_h7kKB1P5mrNK8bAc" style="background-color:#fc19df"></span><br><span class="anonymous" title="anonymous">     - Use the following in debian/rules?</span><span class="a_h7kKB1P5mrNK8bAc" title="a_h7kKB1P5mrNK8bAc" style="background-color:#fc19df"></span><br><span class="anonymous" title="anonymous">         execute_before_dh_auto_build:</span><span class="a_h7kKB1P5mrNK8bAc" title="a_h7kKB1P5mrNK8bAc" style="background-color:#fc19df"></span><br><span class="anonymous" title="anonymous">            @echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"</span><span class="a_h7kKB1P5mrNK8bAc" title="a_h7kKB1P5mrNK8bAc" style="background-color:#fc19df"></span><br><span class="anonymous" title="anonymous">     - Disable blhc in debian/salsa-ci.yml?</span><span class="a_h7kKB1P5mrNK8bAc" title="a_h7kKB1P5mrNK8bAc" style="background-color:#fc19df"></span><br><span class="anonymous" title="anonymous">     - Other options?</span><span class="a_h7kKB1P5mrNK8bAc" title="a_h7kKB1P5mrNK8bAc" style="background-color:#fc19df"></span><br><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">* Submit MIA for Alf?</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">   - Submitted by czchen. Might need to check with MIA team if the request has been received.</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">   - Already received.</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">* Giving help hands to LXDE team</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">  - Got message from Andriy Grytsenko via others in DebConf23 that he is safe but donʼt have time to work on lxde-team at the moment. Andew passed the message said we will take care to port the packages to gtk3 and welcome Andriy to come back anytime.</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">  - Salsa-admin already grant owner access:</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">        https://salsa.debian.org/salsa/support/-/issues/350</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">  - Packages are needing a lot of polish.</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">  - There are still new upstream commits.</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">  - Need to switch to DEB-14 recommended layout of packaging? </span><span class="a_h7kKB1P5mrNK8bAc" title="a_h7kKB1P5mrNK8bAc" style="background-color:#fc19df"></span><br><span class="anonymous" title="anonymous">     - czchen: +1 for DEB-14.</span><span class="a_tpheYgbfvDndbawx" title="a_tpheYgbfvDndbawx" style="background-color:#40e563"></span><br><span class="anonymous" title="anonymous">     - Use `debian/sid` as unstable branch since it has been used in LXQt.</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">- All LXDE packages should build against to gtk+3</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a">- Create a wiki page for contributors</span><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3"> -- Andrew Lee</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="a_h7kKB1P5mrNK8bAc" title="a_h7kKB1P5mrNK8bAc" style="background-color:#fc19df"></span><br><span class="anonymous" title="anonymous">  </span><span class="a_h7kKB1P5mrNK8bAc" title="a_h7kKB1P5mrNK8bAc" style="background-color:#fc19df"></span><br><span class="anonymous" title="anonymous">* Simplify CI/CD configuration.</span><span class="a_h7kKB1P5mrNK8bAc" title="a_h7kKB1P5mrNK8bAc" style="background-color:#fc19df"></span><br><span class="anonymous" title="anonymous">  - Use recipes/debian.yml@salsa-ci-team/pipeline according to https://salsa.debian.org/salsa-ci-team/pipeline if we don't need any customization of standard CI process.</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">  Yes, we may use that for package hasn't had a `debian/salsa-ci.yml` file. And add `debian/salsa-ci.yml` when we need to do something more.</span><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="a_IdyoGMEGqtOukvZ0" title="a_IdyoGMEGqtOukvZ0" style="background-color:#bd060a"></span><br><span class="anonymous" title="anonymous">Please contribute anything you think discussion needed above.</span><br><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3"></span><br><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3"></span><br><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3"></span><br><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3"></span><br><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3"></span><br><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3"></span><br><span class="a_vz4ZnHBsCvcTfFHY" title="a_vz4ZnHBsCvcTfFHY" style="background-color:#de9fe3"></span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
